IM_HIST(3)

NAME
im_hist - create a displayable histogram from an image

SYNOPSIS
#include <vips/vips.h> int im_hist( in, plotofhist, bandno )
IMAGE *in, *plotofhist;
int bandno;

DESCRIPTION
im_hist() creates a displayable histogram file for the image held by the image descriptor in. The created displayable histogram is held in the IMAGE descriptor plotofhist. If bandno == -1 a displayable histogram of all input bands is created else the histogram of bandno only is created. See im_histplot(3) for rules on the size and scaling og the result.

RETURN VALUE
All functions returns 0 on success and -1 on error.

SEE ALSO
im_histgr(3), im_histplot(3).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 10/05/1991